GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

          • Get user behavior log
          • Get administrator action log
        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Get audit log

  10. /
  11. Get administrator action log

¶ Get the administrator operation log

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

You can select request ID, client IP, operation type, resource type, administrator user ID, request success, start timestamp, end timestamp, and paging to obtain the administrator operation log interface

¶ Method Name

ManagementClient.getAdminAuditLogs

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
requestIdstringNo-Request IDxxx
clientIpstringNo-Client IPxxx
operationTypestringNo-Operation type, for example create, update, delete, login, etc.create
resourceTypestringno-Resource type, such as DATA, API, BUTTON, etc.user
userIdstringno-Admin user IDxxx
successbooleanno-Whether the request is successfultrue
startnumberno-Start timestamp11
endnumberno-End timestamp111
paginationListWebhooksDtono-Pagination

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.AdminAuditLogRespDto;
import cn.authing.sdk.java.dto.CostGetCurrentUsageRespDto;
import cn.authing.sdk.java.dto.GetAdminAuditLogsDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class GetAdminAuditLogsTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        GetAdminAuditLogsDto getAdminAuditLogsDto = new GetAdminAuditLogsDto();
        AdminAuditLogRespDto adminAuditLogs = client.getAdminAuditLogs(getAdminAuditLogsDto);
        System.out.println(JsonUtils.serialize(adminAuditLogs.getData()));
    }
}

¶ Request Response

Type: AdminAuditLogRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataAdminAuditLogRespDataResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 1,
    "list": {
      "adminUserId": "xxx",
      "adminUserAvatar": "https://files.authing.co/authing-console/default-app-logo.png",
      "adminUserDisplayName": "Zhang San",
      "clientIp": "127.0.0.1",
      "operationType": "create",
      "resourceType": "user",
      "eventDetail": "Modify application「Discourse」",
      "operationParam": "{\"ext\":{\"_dontFinishNotYet\":true,\"_appName\":\"Discourse\"},\"protocol\":\"oidc\",\"isAsa\":false,\"name\":\"Discourse\",\"oidcConfig\":{\"grant_types\":[\"authorization_code\",\"password\",\"refresh_token\"],\"response_types\":[\"code\"],\"id_token_signed_response_alg\":\"RS256\",\"token_endpoint_auth_method\":\"client_secret_post\",\"introspection_endpoint_auth_method\":\"client_secret_post\",\"revocation_endpoint_auth_method\":\"client\"}",
      "success": true,
      "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36",
      "parsedUserAgent": {
        "device": "Desktop",
        "browser": "Chrome",
        "os": "Windows"
      },
      "geoip": {
        "location": {
          "lon": 116.3889,
          "lat": 39.9288
        },
        "country_name": "China",
        "country_code2": "CN",
        "country_code3": "CN",
        "region_name": "Beijing",
        "region_code": "BJ",
        "city_name": "Beijing",
        "continent_code": "AS",
        "timezone": "Asia/Shanghai"
      },
      "timestamp": "2022-09-20T08:55:00.188+0800",
      "requestId": "b63b9772-384c-4f2d-981b-01d1feed964d"
    }
  }
}

¶ Data Structure

¶ ListWebhooksDto

NameType
Is it required
Description
Example Value
pagenumbernoCurrent page number, starting from 11
limitnumbernoThe maximum number of pages per page cannot exceed 50, and the default value is 1010

¶ AdminAuditLogRespData

NameType
Is it required
Description
Example Value
totalCountnumberyesTotal number of records1
listarrayyesReturn to list Nested Type:AdminAuditLogDto。

¶ AdminAuditLogDto

NameType
Is it required
Description
Example Value
adminUserIdstringyesUser ID of the administratorxxx
adminUserAvatarstringyesUser avatar of the administratorhttps://files.authing.co/authing-console/default-app-logo.png
adminUserDisplayNamestringyesDisplay name of the administrator user, displayed in the following user field order: nickname > username > name > givenName > familyName -> email -> phone -> idZhang San
clientIpstringnoClient IP, can be filtered according to the client IP at login. By default, the login history of all login IPs is not obtained.127.0.0.1
operationTypestringyesOperation Type:
- create: create
- delete: delete
- import: import
- export: export
- update: modify
- refresh: refresh
- sync: synchronize
- invite: invite
- resign: resign
- recover: recover
- disable: disable
- userEnable: enable
all
resourceTypestringyesEvent Type:
- user: user
- userpool: user pool
- tenant: tenant
- userLoginState: user login state
- userAccountState: user account state
- userGroup: user group
- fieldEncryptState: field encryption state
- syncTask: synchronization task
- socialConnection: social identity source
- enterpriseConnection: social identity source
- customDatabase: custom database
- org: organization
- cooperator: collaboration administrator
- application: application
- resourceNamespace: permission group
- resource: resource
- role: role
- roleAssign: role authorization
- policy: Policy
all
eventDetailstringNoEvent detailsThe integrated application "Discourse" was modified
operationParamstringNoSpecific operation parameters{"ext":{"_dontFinishNotYet":true,"_appName":"Discourse"},"protocol":"oidc","isAsa":false,"name":"Discourse","oidcConfig":{"grant_types":["authorization_code","password","refresh_token"],"response_types":["code"],"id_token_signed_response_alg":"RS256","token_endpoint_auth_method":"client_secret_post","introspection_endpoint_auth_method":"client_secret_post","revocation_endpoint_auth_method":"client"}
originValuestringNoOriginal value
targetValuestringnonew value
successbooleanyesSuccesstrue
userAgentstringyesUser AgentMozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36
parsedUserAgentyesParsed User Agent Nested Type: ParsedUserAgent.
geoipyesGeographic location Nested Type: GeoIp.
timestampstringyesTime2022-09-20T08:55:00.188+0800
requestIdstringyesRequest IDb63b9772-384c-4f2d-981b-01d1feed964d

¶ ParsedUserAgent

NameType
Is it required
Description
Example Value
devicestringYesType of device usedDesktop
browserstringYesBrowser NameChrome
osstringYesOperating SystemWindows

¶ GeoIp

NameType
Is it required
Description
Example Value
locationYesGeographic location Nested Type: GeoIpLocation.
country_namestringYesCountry NameChina
country_code2stringYesCountry Code 2CN
country_code3stringYesCountry Code 3CN
region_namestringYesRegion NameBeijing
region_codestringYesRegion CodeBJ
city_namestringYesCity NameBeijing
continent_codestringYesContinent CodeAS
timezonestringYesTime ZoneAsia/Shanghai

¶ GeoIpLocation

NameType
Is it required
Description
Example Value
lonnumberislongitude116.3889
latnumberislatitude39.9288
Previous article: Get user behavior log Next article: Get package details
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.